<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>footnote documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">footnote documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content component">
                   <div class="content-data">




<ol class="breadcrumb">
  <li>Components</li>
  <li>CloudRecognitionPage</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
        <li >
            <a href="#templateData" role="tab" id="templateData-tab" data-toggle="tab" data-link="template">Template</a>
        </li>
        <li >
            <a href="#tree" role="tab" id="tree-tab" data-toggle="tab" data-link="dom-tree">DOM Tree</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info"><p class="comment">
    <h3>File</h3>
</p>
<p class="comment">
    <code>src/pages/cloud-recognition/cloud-recognition.ts</code>
</p>

    <p class="comment">
        <h3>Description</h3>
    </p>
    <p class="comment">
        <p>Generated class for the CloudRecognitionPage page.</p>
<p>See <a href="https://ionicframework.com/docs/components/#navigation">https://ionicframework.com/docs/components/#navigation</a> for more info on
Ionic pages and navigation.</p>

    </p>




<section>
    <h3>Metadata</h3>
    <table class="table table-sm table-hover">
        <tbody>











            <tr>
                <td class="col-md-3">selector</td>
                <td class="col-md-9"><code>page-cloud-recognition</code></td>
            </tr>




            <tr>
                <td class="col-md-3">templateUrl</td>
                <td class="col-md-9"><code>cloud-recognition.html</code></td>
            </tr>








        </tbody>
    </table>
</section>

    <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>
                <tr>
                    <td class="col-md-4">
                        <h6><b>Properties</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#navCtrl">navCtrl</a>
                            </li>
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#navParams">navParams</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#ionViewDidEnter">ionViewDidEnter</a>
                            </li>
                            <li>
                                <a href="#ionViewDidLoad">ionViewDidLoad</a>
                            </li>
                        </ul>
                    </td>
                </tr>





        </tbody>
    </table>
</section>

    <section>
    <h3 id="constructor">Constructor</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
<code>constructor(navCtrl: NavController, navParams: NavParams)</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="16" class="link-to-prism">src/pages/cloud-recognition/cloud-recognition.ts:16</a></div>
                            </td>
                        </tr>

                <tr>
                    <td class="col-md-4">
                            <div>
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>navCtrl</td>
                                                  
                                                        <td>
                                                                    <code>NavController</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>navParams</td>
                                                  
                                                        <td>
                                                                    <code>NavParams</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>





    <section>
    
        <h3 id="methods">
            Methods
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="ionViewDidEnter"></a>
                        <span class="name">
                            <b>
                            ionViewDidEnter
                            </b>
                            <a href="#ionViewDidEnter"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>ionViewDidEnter()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="24" class="link-to-prism">src/pages/cloud-recognition/cloud-recognition.ts:24</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="ionViewDidLoad"></a>
                        <span class="name">
                            <b>
                            ionViewDidLoad
                            </b>
                            <a href="#ionViewDidLoad"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>ionViewDidLoad()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="21" class="link-to-prism">src/pages/cloud-recognition/cloud-recognition.ts:21</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>

    <section>
    
        <h3 id="inputs">
            Properties
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="navCtrl"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            navCtrl</b>
                            <a href="#navCtrl"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code>NavController</code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="18" class="link-to-prism">src/pages/cloud-recognition/cloud-recognition.ts:18</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="navParams"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            navParams</b>
                            <a href="#navParams"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code>NavParams</code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="18" class="link-to-prism">src/pages/cloud-recognition/cloud-recognition.ts:18</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
</section>

</div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Component } from &#x27;@angular/core&#x27;;
import { IonicPage, NavController, NavParams } from &#x27;ionic-angular&#x27;;

/**
 * Generated class for the CloudRecognitionPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */

@IonicPage()
@Component({
  selector: &#x27;page-cloud-recognition&#x27;,
  templateUrl: &#x27;cloud-recognition.html&#x27;,
})
export class CloudRecognitionPage {

  constructor(public navCtrl: NavController, public navParams: NavParams) {
  }

  ionViewDidLoad() {
    console.log(&#x27;ionViewDidLoad CloudRecognitionPage&#x27;);
  }
  ionViewDidEnter() {

    /**
     * Load things for wikitude
     */
    var startupConfiguration: any &#x3D; { &quot;camera_position&quot;: &quot;back&quot; };

    WikitudePlugin.loadARchitectWorld(
      function (success) {
        console.log(&quot;ARchitect World loaded successfully.&quot;);
      },
      function (fail) {
        console.log(&quot;Failed to load ARchitect World!&quot;);
      },
      //          &quot;www/assets/3_3dModels_1_3dModelOnTarget/index.html&quot;, // (1) if you have a IR (Image Recognition) World, use this
      //          [&quot;ir&quot;], // (1) if you have a IR (Image Recognition) World, use this
      &quot;www/assets/wikitude_cloudRecognition/index.html&quot;,  // (2) if you have a GeoLocation World, use this
      [&quot;ir&quot;],  // (2) if you have a GeoLocation World, use this
      // you find other samples or Wikitude worlds in Wikitude Cordova Plugin
      // which can be downloaded from here: https://github.com/Wikitude/wikitude-cordova-plugin/archive/v5.3.1-3.3.2.zip
      &lt;JSON&gt;startupConfiguration
    );
  }
}
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-templateData">
        <pre class="line-numbers"><code class="language-html">&lt;!--
  Generated template for the CloudRecognitionPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
--&gt;
&lt;ion-header&gt;

  &lt;ion-navbar&gt;
    &lt;ion-title&gt;cloudRecognition&lt;/ion-title&gt;
  &lt;/ion-navbar&gt;

&lt;/ion-header&gt;

&lt;ion-content padding&gt;

&lt;/ion-content&gt;
</code></pre>
    </div>


    <div class="tab-pane fade " id="c-tree">
        <div id="tree-container"></div>
        <div class="tree-legend">
            <div class="title">
                <b>Legend</b>
            </div>
            <div>
                <div class="color htmlelement"></div><span>Html element</span>
            </div>
            <div>
                <div class="color component"></div><span>Component</span>
            </div>
            <div>
                <div class="color directive"></div><span>Html element with directive</span>
            </div>
        </div>
    </div>

    
</div>

<script src="../js/libs/vis.min.js"></script>
<script src="../js/libs/htmlparser.js"></script>
<script src="../js/libs/deep-iterator.js"></script>
<script>
        var COMPONENT_TEMPLATE = '<div><!--  Generated template for the CloudRecognitionPage page.  See http://ionicframework.com/docs/components/#navigation for more info on  Ionic pages and navigation.--><ion-header>  <ion-navbar>    <ion-title>cloudRecognition</ion-title>  </ion-navbar></ion-header><ion-content padding></ion-content></div>'
    var COMPONENTS = [{'name': 'AddInfoPage', 'selector': 'page-add-info'},{'name': 'AddObjectPage', 'selector': 'page-add-object'},{'name': 'ARViewPage', 'selector': 'page-ar-view'},{'name': 'CloudRecognitionPage', 'selector': 'page-cloud-recognition'},{'name': 'DetailPage', 'selector': 'page-detail'},{'name': 'DialogPage', 'selector': 'page-dialog'},{'name': 'FeedPage', 'selector': 'page-feed'},{'name': 'HomePage', 'selector': 'page-home'},{'name': 'LoginPage', 'selector': 'page-login'},{'name': 'MasterPage', 'selector': 'page-master'},{'name': 'MyApp', 'selector': ''},{'name': 'PlaceholderPage', 'selector': 'page-placeholder'},{'name': 'RegisterPage', 'selector': 'page-register'},{'name': 'TabsPage', 'selector': ''},{'name': 'UserGroupPage', 'selector': 'page-user-group'},{'name': 'UserGroupSplitPage', 'selector': 'page-user-group-split'}];
    var DIRECTIVES = [];
    var ACTUAL_COMPONENT = {'name': 'CloudRecognitionPage'};
</script>
<script src="../js/tree.js"></script>














                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'component';
            var COMPODOC_CURRENT_PAGE_URL = 'CloudRecognitionPage.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
